IF NOT EXISTS(SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[ProductRoomtypesXtab]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
  CREATE TABLE [dbo].[ProductRoomtypesXtab](
	  [FK_ProductNumber] [int] NOT NULL,
	  [FK_RoomtypeNumber] [int] NOT NULL,
	  [DefaultNumberOfRooms] [int] NULL,
   CONSTRAINT [PK_ProductRoomtypesXtab] PRIMARY KEY CLUSTERED 
  (
	  [FK_ProductNumber] ASC,
	  [FK_RoomtypeNumber] ASC
  )
  ) ON [PRIMARY]
END

